Package com.macrofocus.high_d.scatterplotmatrix

# Interface ScatterPlotMatrixView<Component,Color,Row,Column>

All Superinterfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `com.macrofocus.crossplatform.CPInteractiveComponent<Component>`

All Known Implementing Classes:
  `AbstractScatterPlotMatrixView`, `JavaFXScatterPlotMatrixView`

public interface ScatterPlotMatrixView<Component,Color,Row,Column> extends com.macrofocus.crossplatform.CPInteractiveComponent<Component>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `ScatterPlotMatrixView.PropertyType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `Object`
  `getClosestRow(int x, int y)`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `int`
  `getHeight()`
  `ScatterPlotMatrixModel`
  `getModel()`
  Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `List<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `MutableProperty<Boolean>`
  `getShowTiming()`
  `int`
  `getWidth()`
  `boolean`
  `isSelectionMode()`
  `void`
  `setAntialiasing(MutableProperty<Boolean> antialiasing)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setModel(ScatterPlotMatrixModel model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)`
  `void`
  `setSelectionMode(boolean value)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `getNativeComponent, setStyleClass`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPInteractiveComponent

  `addMouseListener, addMouseMotionListener, removeMouseListener, removeMouseMotionListener`

- ## Method Details

  - ### getClosestRow

    Object getClosestRow(int x, int y)

  - ### getRows

    List<Row> getRows(com.macrofocus.geom.Rectangle2D rect)

  - ### isSelectionMode

    boolean isSelectionMode()

  - ### getWidth

    int getWidth()

  - ### getHeight

    int getHeight()

  - ### setSelectionMode

    void setSelectionMode(boolean value)

  - ### setLicenseModel

    void setLicenseModel(LicenseModel licenseModel)

  - ### setModel

    void setModel(ScatterPlotMatrixModel model)
    Sets the data model and registers with it for listener notifications from the new data model.
    Parameters:
      `model` - the new data model
    See Also:
      - `getModel()`

  - ### getModel

    ScatterPlotMatrixModel getModel()
    Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
    Returns:
      the ScatterPlotModel that provides the data displayed by this ScatterPlotView
    See Also:
      - `setModel(ScatterPlotMatrixModel)`

  - ### getColorTheme

    MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Returns the color theme to use.
    Returns:
      the color theme

  - ### setColorTheme

    void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Sets the color theme to use.
    Parameters:
      `colorTheme` - the color theme to use

  - ### getShowTiming

    MutableProperty<Boolean> getShowTiming()

  - ### getShowFiltered

    MutableProperty<Boolean> getShowFiltered()

  - ### setShowFiltered

    void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### getRendering

    MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()

  - ### setRendering

    void setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)

  - ### getAntialiasing

    MutableProperty<Boolean> getAntialiasing()

  - ### setAntialiasing

    void setAntialiasing(MutableProperty<Boolean> antialiasing)

  - ### getRubberBand

    com.macrofocus.rubberband.RubberBand getRubberBand()